Represents a Lease Contract Contact in SOFT4Spaces. Lease contract contacts are the contact persons related to the lease contract. On the Lease Contract Card, these records are shown in the Lease Contacts section.
Note
For information about enabling APIs for Business Central see Overview.
API endpoint
| API | Path |
| lease |
businesscentralPrefix/ |
Methods
| Method | Return Type | Description |
| GET lease |
lease |
Gets lease contract contact objects. |
| GET lease |
lease |
Gets a lease contract contact object. |
| POST lease |
lease |
Creates a lease contract contact object. |
| PATCH lease |
lease |
Updates a lease contract contact object. |
| DELETE lease |
none | Deletes a lease contract contact object. |
GET leaseContractContacts
Description
Retrieves existing lease contract contact records from Business Central.
HTTP Request
GET
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
None.
Response
Returns a 200 OK status code and JSON object representing the lease contract contact records.
Example Response
JSON
|
{ "value": [ { "id": "9f5271a6-2b7e-f111-a056-000d3aba387d", "lineNo": 10000, "contractNo": "LC00001", "customerNo": "C00010", "contactNo": "CT000010", "contactName": "Peter Brown", "phoneNo": "+37060000002", "email": "peter@fineart.com", "contactOrganizationLevel": "", "systemCreatedAt": "2026-10-13T09:15:00Z", "systemCreatedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68", "systemModifiedAt": "2026-10-13T09:15:00Z", "systemModifiedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68" } ] } |
GET leaseContractContact
Description
Retrieves an existing lease contract contact record from Business Central.
HTTP Request
GET
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
None.
Response
Returns a 200 OK status code and JSON object representing the lease contract contact record.
Example Response
JSON
|
{ "id": "9f5271a6-2b7e-f111-a056-000d3aba387d", "lineNo": 10000, "contractNo": "LC00001", "customerNo": "C00010", "contactNo": "CT000010", "contactName": "Peter Brown", "phoneNo": "+37060000002", "email": "peter@fineart.com", "contactOrganizationLevel": "", "systemCreatedAt": "2026-10-13T09:15:00Z", "systemCreatedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68", "systemModifiedAt": "2026-10-13T09:15:00Z", "systemModifiedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68" } |
GET [filter] leaseContractContacts
Description
Retrieves the lease contract contact records of a specific lease contract.
HTTP Request
GET
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
None.
Response
Returns a 200 OK status code and JSON object representing the lease contract contact records of the lease contract.
POST leaseContractContact
Description
Creates a new lease contract contact in Business Central.
HTTP Request
POST
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
Provide a JSON object with lease contract contact data.
JSON
|
{ "contractNo": "LC00001", "customerNo": "C00010", "contactName": "Peter Brown", "phoneNo": "+37060000002", "email": "peter@fineart.com" } |
Response
Returns a 201 Created status code and the created lease contract contact object.
PATCH leaseContractContact
Description
Updates an existing lease contract contact in Business Central.
HTTP Request
PATCH
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
Provide the fields of the lease contract contact to be updated.
JSON
|
{ "phoneNo": "+37060000003" } |
Response
Returns a 200 OK status code and the updated object.
DELETE leaseContractContact
Description
Deletes an existing lease contract contact from Business Central.
HTTP Request
DELETE
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
None.
Response
Returns a 204 No Content status code.
Properties
| Property | Type | Description |
| id | GUID | The unique ID of the lease contract contact. Non-editable. |
| lineNo | integer | Specifies the line number. Assigned automatically. Non-editable. |
| contractNo | string | Specifies the number of the lease contract to which the contact belongs. Required when creating a contact. |
| customerNo | string | Specifies the customer number of the lease contract. Required when creating a contact: has to be the same as the customer on the lease contract, otherwise the contact is not shown on the Lease Contract Card. |
| contactNo | string | Specifies the contact number. |
| contactName | string | Specifies the contact name. |
| phoneNo | string | Specifies the contact phone number. |
| string | Specifies the contact email address. | |
| contact |
string | Specifies the organization level of the contact. |
| systemCreatedAt | datetime | The datetime the lease contract contact was created. |
| systemCreatedBy | GUID | The ID of the user who created the lease contract contact. |
| systemModifiedAt | datetime | The last datetime the lease contract contact was modified. |
| systemModifiedBy | GUID | The ID of the user who modified the lease contract contact. |
JSON Representation
|
{ "id": "GUID", "lineNo": "integer", "contractNo": "string", "customerNo": "string", "contactNo": "string", "contactName": "string", "phoneNo": "string", "email": "string", "contactOrganizationLevel": "string", "systemCreatedAt": "datetime", "systemCreatedBy": "GUID", "systemModifiedAt": "datetime", "systemModifiedBy": "GUID" } |